PLplot: cd.h File Reference

PLplot 5.15.0

Classes | Macros | Typedefs | Functions
cd.h File Reference
`#include <stdio.h>`
`#include "cddll.h"`

Go to the source code of this file.

## Classes
struct | cdImageStruct
struct | cdPointStruct

## Macros
#define | cdMaxColors 256
#define | CDSTARTLISTSIZE 4096
#define | CDGROWLISTSIZE 2048
#define | cdImageSX(im) ( ( im )->sx )
#define | cdImageSY(im) ( ( im )->sy )
#define | cdImageColorsTotal(im) ( ( im )->colorsTotal )
#define | cdImageRed(im, c) ( ( im )->red[( c )] )
#define | cdImageGreen(im, c) ( ( im )->green[( c )] )
#define | cdImageBlue(im, c) ( ( im )->blue[( c )] )
#define | SIZEOF(object) ( (size_t) sizeof ( object ) )

## Typedefs
typedef struct cdImageStruct | cdImage
typedef cdImage * | cdImagePtr
typedef struct cdPointStruct | cdPoint
typedef struct cdPointStruct * | cdPointPtr

## Functions
CDDLLIMPEXP cdImagePtr | cdImageCreate (int sx, int sy)
CDDLLIMPEXP int | cdCgmNewPic (cdImagePtr im, int sticky)
CDDLLIMPEXP int | cdImageCgm (cdImagePtr im, FILE *)
CDDLLIMPEXP int | cdImageDestroy (cdImagePtr im)
CDDLLIMPEXP int | cdLine (cdImagePtr im, int x1, int y1, int x2, int y2)
CDDLLIMPEXP int | cdRectangle (cdImagePtr im, int x1, int y1, int x2, int y2)
CDDLLIMPEXP int | cdCircle (cdImagePtr im, int cx, int cy, int r)
CDDLLIMPEXP int | cdArc3Pt (cdImagePtr im, int sx, int sy, int ix, int iy, int ex, int ey)
CDDLLIMPEXP int | cdArc3PtClose (cdImagePtr im, int sx, int sy, int ix, int iy, int ex, int ey, int cl)
CDDLLIMPEXP int | cdEllipse (cdImagePtr im, int cx, int cy, int d1x, int d1y, int d2x, int d2y)
CDDLLIMPEXP int | cdMarker (cdImagePtr im, int x, int y)
CDDLLIMPEXP int | cdPolygon (cdImagePtr im, cdPointPtr p, int n)
CDDLLIMPEXP int | cdPolygonSet (cdImagePtr im, cdPointPtr p, int n)
CDDLLIMPEXP int | cdPolyLine (cdImagePtr im, cdPointPtr p, int n)
CDDLLIMPEXP int | cdPolyMarker (cdImagePtr im, cdPointPtr p, int n)
CDDLLIMPEXP int | cdImageLine (cdImagePtr im, int x1, int y1, int x2, int y2, int color)
CDDLLIMPEXP int | cdImageRectangle (cdImagePtr im, int x1, int y1, int x2, int y2, int color)
CDDLLIMPEXP int | cdImageBoundsSafe (cdImagePtr im, int x, int y)
CDDLLIMPEXP int | cdText (cdImagePtr im, int x, int y, const char *)
CDDLLIMPEXP int | cdImageColorAllocate (cdImagePtr im, int r, int g, int b)
CDDLLIMPEXP int | cdImageColorClosest (cdImagePtr im, int r, int g, int b)
CDDLLIMPEXP int | cdImageColorExact (cdImagePtr im, int r, int g, int b)
CDDLLIMPEXP int | cdImageColorDeallocate (cdImagePtr, int)
CDDLLIMPEXP int | cdImageColor16 (cdImagePtr im)
CDDLLIMPEXP int | cdSetLineAttrib (cdImagePtr im, int lntype, int lnwidth, int lncolor)
CDDLLIMPEXP int | cdSetShapeFillAttrib (cdImagePtr im, int instyle, int incolor, int inhatch)
CDDLLIMPEXP int | cdSetShapeEdgeAttrib (cdImagePtr im, int edtype, int edwidth, int edcolor, int edvis)
CDDLLIMPEXP int | cdSetTextAttrib (cdImagePtr im, int font, int color, int height)
CDDLLIMPEXP int | cdSetMarkerAttrib (cdImagePtr im, int mtype, int msize, int mcolor)
CDDLLIMPEXP int | cdSetLineType (cdImagePtr im, int lntype)
CDDLLIMPEXP int | cdSetLineWidth (cdImagePtr im, int lnwidth)
CDDLLIMPEXP int | cdSetLineColor (cdImagePtr im, int lncolor)
CDDLLIMPEXP int | cdSetFillStyle (cdImagePtr im, int instyle)
CDDLLIMPEXP int | cdSetFillColor (cdImagePtr im, int incolor)
CDDLLIMPEXP int | cdSetFillHatch (cdImagePtr im, int inhatch)
CDDLLIMPEXP int | cdSetEdgeType (cdImagePtr im, int edtype)
CDDLLIMPEXP int | cdSetEdgeWidth (cdImagePtr im, int edwidth)
CDDLLIMPEXP int | cdSetEdgeColor (cdImagePtr im, int edcolor)
CDDLLIMPEXP int | cdSetEdgeVis (cdImagePtr im, int edvis)
CDDLLIMPEXP int | cdSetTextFont (cdImagePtr im, int font)
CDDLLIMPEXP int | cdSetTextColor (cdImagePtr im, int color)
CDDLLIMPEXP int | cdSetTextHeight (cdImagePtr im, int height)
CDDLLIMPEXP int | cdSetTextPath (cdImagePtr im, int tpath)
CDDLLIMPEXP int | cdSetTextOrient (cdImagePtr im, int xup, int yup, int xbase, int ybase)
CDDLLIMPEXP int | cdSetMarkerType (cdImagePtr im, int mtype)
CDDLLIMPEXP int | cdSetMarkerSize (cdImagePtr im, int msize)
CDDLLIMPEXP int | cdSetMarkerColor (cdImagePtr im, int mcolor)
CDDLLIMPEXP int | cdImageSetSize (cdImagePtr im, int x, int y)
CDDLLIMPEXP int | cdImageSetLineSpec (cdImagePtr im, int specmode)
CDDLLIMPEXP int | cdImageSetMarkerSpec (cdImagePtr im, int specmode)
CDDLLIMPEXP int | cdImageSetEdgeSpec (cdImagePtr im, int specmode)
CDDLLIMPEXP int | cdImageSetOutput (cdImagePtr im, FILE *output)
CDDLLIMPEXP int | cdImageAddFont (cdImagePtr im, const char *fontname)
CDDLLIMPEXP int | cdImageClearFonts (cdImagePtr im)
CDDLLIMPEXP cdImagePtr | cdImageStartCgm ()
CDDLLIMPEXP int | cdCgmHeader (cdImagePtr)
CDDLLIMPEXP int | cdCgmPic (cdImagePtr, int)
CDDLLIMPEXP int | cdImageSetDefaults (cdImagePtr im)
CDDLLIMPEXP int | cdImageEndPic (cdImagePtr im)
CDDLLIMPEXP int | cdImageEndCgm (cdImagePtr im)
CDDLLIMPEXP int | cdImageColorClear (cdImagePtr im)

## Macro Definition Documentation

## ◆ CDGROWLISTSIZE

#define CDGROWLISTSIZE 2048

Definition at line 49 of file cd.h.

## ◆ cdImageBlue

#define cdImageBlue | ( |  | im,
|  |  | c
| ) |  | ( ( im )->blue[( c )] )

Definition at line 230 of file cd.h.

## ◆ cdImageColorsTotal

#define cdImageColorsTotal | ( |  | im | ) | ( ( im )->colorsTotal )

Definition at line 227 of file cd.h.

## ◆ cdImageGreen

#define cdImageGreen | ( |  | im,
|  |  | c
| ) |  | ( ( im )->green[( c )] )

Definition at line 229 of file cd.h.

## ◆ cdImageRed

#define cdImageRed | ( |  | im,
|  |  | c
| ) |  | ( ( im )->red[( c )] )

Definition at line 228 of file cd.h.

## ◆ cdImageSX

#define cdImageSX | ( |  | im | ) | ( ( im )->sx )

Definition at line 225 of file cd.h.

## ◆ cdImageSY

#define cdImageSY | ( |  | im | ) | ( ( im )->sy )

Definition at line 226 of file cd.h.

## ◆ cdMaxColors

#define cdMaxColors 256

Definition at line 30 of file cd.h.

## ◆ CDSTARTLISTSIZE

#define CDSTARTLISTSIZE 4096

Definition at line 41 of file cd.h.

## ◆ SIZEOF

#define SIZEOF | ( |  | object | ) | ( (size_t) sizeof ( object ) )

Definition at line 240 of file cd.h.

## Typedef Documentation

## ◆ cdImage

typedef struct cdImageStruct cdImage

## ◆ cdImagePtr

typedef cdImage* cdImagePtr

Definition at line 123 of file cd.h.

## ◆ cdPoint

typedef struct cdPointStruct cdPoint

## ◆ cdPointPtr

typedef struct cdPointStruct * cdPointPtr

## Function Documentation

## ◆ cdArc3Pt()

CDDLLIMPEXP int cdArc3Pt | ( | cdImagePtr | im,
|  | int | sx,
|  | int | sy,
|  | int | ix,
|  | int | iy,
|  | int | ex,
|  | int | ey
| ) |  |

Definition at line 2376 of file cd.c.

## ◆ cdArc3PtClose()

CDDLLIMPEXP int cdArc3PtClose | ( | cdImagePtr | im,
|  | int | sx,
|  | int | sy,
|  | int | ix,
|  | int | iy,
|  | int | ex,
|  | int | ey,
|  | int | cl
| ) |  |

Definition at line 2458 of file cd.c.

## ◆ cdCgmHeader()

CDDLLIMPEXP int cdCgmHeader | ( | cdImagePtr |  | ) |

Definition at line 214 of file cd.c.

## ◆ cdCgmNewPic()

CDDLLIMPEXP int cdCgmNewPic | ( | cdImagePtr | im,
|  | int | sticky
| ) |  |

Definition at line 542 of file cd.c.

## ◆ cdCgmPic()

CDDLLIMPEXP int cdCgmPic | ( | cdImagePtr | ,
|  | int |
| ) |  |

Definition at line 365 of file cd.c.

## ◆ cdCircle()

CDDLLIMPEXP int cdCircle | ( | cdImagePtr | im,
|  | int | cx,
|  | int | cy,
|  | int | r
| ) |  |

Definition at line 2309 of file cd.c.

## ◆ cdEllipse()

CDDLLIMPEXP int cdEllipse | ( | cdImagePtr | im,
|  | int | cx,
|  | int | cy,
|  | int | d1x,
|  | int | d1y,
|  | int | d2x,
|  | int | d2y
| ) |  |

Definition at line 2524 of file cd.c.

## ◆ cdImageAddFont()

CDDLLIMPEXP int cdImageAddFont | ( | cdImagePtr | im,
|  | const char * | fontname
| ) |  |

Definition at line 3163 of file cd.c.

## ◆ cdImageBoundsSafe()

CDDLLIMPEXP int cdImageBoundsSafe | ( | cdImagePtr | im,
|  | int | x,
|  | int | y
| ) |  |

Definition at line 3073 of file cd.c.

## ◆ cdImageCgm()

CDDLLIMPEXP int cdImageCgm | ( | cdImagePtr | im,
|  | FILE * |
| ) |  |

Definition at line 560 of file cd.c.

## ◆ cdImageClearFonts()

CDDLLIMPEXP int cdImageClearFonts | ( | cdImagePtr | im | ) |

Definition at line 3198 of file cd.c.

## ◆ cdImageColor16()

CDDLLIMPEXP int cdImageColor16 | ( | cdImagePtr | im | ) |

Definition at line 1989 of file cd.c.

## ◆ cdImageColorAllocate()

CDDLLIMPEXP int cdImageColorAllocate | ( | cdImagePtr | im,
|  | int | r,
|  | int | g,
|  | int | b
| ) |  |

Definition at line 1966 of file cd.c.

## ◆ cdImageColorClear()

CDDLLIMPEXP int cdImageColorClear | ( | cdImagePtr | im | ) |

Definition at line 1815 of file cd.c.

## ◆ cdImageColorClosest()

CDDLLIMPEXP int cdImageColorClosest | ( | cdImagePtr | im,
|  | int | r,
|  | int | g,
|  | int | b
| ) |  |

Definition at line 1786 of file cd.c.

## ◆ cdImageColorDeallocate()

CDDLLIMPEXP int cdImageColorDeallocate | ( | cdImagePtr | ,
|  | int |
| ) |  |

Definition at line 2104 of file cd.c.

## ◆ cdImageColorExact()

CDDLLIMPEXP int cdImageColorExact | ( | cdImagePtr | im,
|  | int | r,
|  | int | g,
|  | int | b
| ) |  |

Definition at line 1826 of file cd.c.

## ◆ cdImageCreate()

CDDLLIMPEXP cdImagePtr cdImageCreate | ( | int | sx,
|  | int | sy
| ) |  |

Definition at line 31 of file cd.c.

## ◆ cdImageDestroy()

CDDLLIMPEXP int cdImageDestroy | ( | cdImagePtr | im | ) |

Definition at line 1766 of file cd.c.

## ◆ cdImageEndCgm()

CDDLLIMPEXP int cdImageEndCgm | ( | cdImagePtr | im | ) |

Definition at line 3337 of file cd.c.

## ◆ cdImageEndPic()

CDDLLIMPEXP int cdImageEndPic | ( | cdImagePtr | im | ) |

Definition at line 3300 of file cd.c.

## ◆ cdImageLine()

CDDLLIMPEXP int cdImageLine | ( | cdImagePtr | im,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | color
| ) |  |

Definition at line 3034 of file cd.c.

## ◆ cdImageRectangle()

CDDLLIMPEXP int cdImageRectangle | ( | cdImagePtr | im,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | color
| ) |  |

Definition at line 3082 of file cd.c.

## ◆ cdImageSetDefaults()

CDDLLIMPEXP int cdImageSetDefaults | ( | cdImagePtr | im | ) |

Definition at line 3209 of file cd.c.

## ◆ cdImageSetEdgeSpec()

CDDLLIMPEXP int cdImageSetEdgeSpec | ( | cdImagePtr | im,
|  | int | specmode
| ) |  |

Definition at line 3134 of file cd.c.

## ◆ cdImageSetLineSpec()

CDDLLIMPEXP int cdImageSetLineSpec | ( | cdImagePtr | im,
|  | int | specmode
| ) |  |

Definition at line 3112 of file cd.c.

## ◆ cdImageSetMarkerSpec()

CDDLLIMPEXP int cdImageSetMarkerSpec | ( | cdImagePtr | im,
|  | int | specmode
| ) |  |

Definition at line 3123 of file cd.c.

## ◆ cdImageSetOutput()

CDDLLIMPEXP int cdImageSetOutput | ( | cdImagePtr | im,
|  | FILE * | output
| ) |  |

Definition at line 3145 of file cd.c.

## ◆ cdImageSetSize()

CDDLLIMPEXP int cdImageSetSize | ( | cdImagePtr | im,
|  | int | x,
|  | int | y
| ) |  |

Definition at line 3104 of file cd.c.

## ◆ cdImageStartCgm()

CDDLLIMPEXP cdImagePtr cdImageStartCgm | ( |  | ) |

Definition at line 3246 of file cd.c.

## ◆ cdLine()

CDDLLIMPEXP int cdLine | ( | cdImagePtr | im,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |  |

Definition at line 2116 of file cd.c.

## ◆ cdMarker()

CDDLLIMPEXP int cdMarker | ( | cdImagePtr | im,
|  | int | x,
|  | int | y
| ) |  |

Definition at line 2188 of file cd.c.

## ◆ cdPolygon()

CDDLLIMPEXP int cdPolygon | ( | cdImagePtr | im,
|  | cdPointPtr | p,
|  | int | n
| ) |  |

Definition at line 2581 of file cd.c.

## ◆ cdPolygonSet()

CDDLLIMPEXP int cdPolygonSet | ( | cdImagePtr | im,
|  | cdPointPtr | p,
|  | int | n
| ) |  |

Definition at line 2675 of file cd.c.

## ◆ cdPolyLine()

CDDLLIMPEXP int cdPolyLine | ( | cdImagePtr | im,
|  | cdPointPtr | p,
|  | int | n
| ) |  |

Definition at line 2772 of file cd.c.

## ◆ cdPolyMarker()

CDDLLIMPEXP int cdPolyMarker | ( | cdImagePtr | im,
|  | cdPointPtr | p,
|  | int | n
| ) |  |

Definition at line 2859 of file cd.c.

## ◆ cdRectangle()

CDDLLIMPEXP int cdRectangle | ( | cdImagePtr | im,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |  |

Definition at line 2235 of file cd.c.

## ◆ cdSetEdgeColor()

CDDLLIMPEXP int cdSetEdgeColor | ( | cdImagePtr | im,
|  | int | edcolor
| ) |  |

Definition at line 1080 of file cd.c.

## ◆ cdSetEdgeType()

CDDLLIMPEXP int cdSetEdgeType | ( | cdImagePtr | im,
|  | int | edtype
| ) |  |

Definition at line 947 of file cd.c.

## ◆ cdSetEdgeVis()

CDDLLIMPEXP int cdSetEdgeVis | ( | cdImagePtr | im,
|  | int | edvis
| ) |  |

Definition at line 1137 of file cd.c.

## ◆ cdSetEdgeWidth()

CDDLLIMPEXP int cdSetEdgeWidth | ( | cdImagePtr | im,
|  | int | edwidth
| ) |  |

Definition at line 1010 of file cd.c.

## ◆ cdSetFillColor()

CDDLLIMPEXP int cdSetFillColor | ( | cdImagePtr | im,
|  | int | incolor
| ) |  |

Definition at line 822 of file cd.c.

## ◆ cdSetFillHatch()

CDDLLIMPEXP int cdSetFillHatch | ( | cdImagePtr | im,
|  | int | inhatch
| ) |  |

Definition at line 880 of file cd.c.

## ◆ cdSetFillStyle()

CDDLLIMPEXP int cdSetFillStyle | ( | cdImagePtr | im,
|  | int | instyle
| ) |  |

Definition at line 761 of file cd.c.

## ◆ cdSetLineAttrib()

CDDLLIMPEXP int cdSetLineAttrib | ( | cdImagePtr | im,
|  | int | lntype,
|  | int | lnwidth,
|  | int | lncolor
| ) |  |

Definition at line 1652 of file cd.c.

## ◆ cdSetLineColor()

CDDLLIMPEXP int cdSetLineColor | ( | cdImagePtr | im,
|  | int | lncolor
| ) |  |

Definition at line 703 of file cd.c.

## ◆ cdSetLineType()

CDDLLIMPEXP int cdSetLineType | ( | cdImagePtr | im,
|  | int | lntype
| ) |  |

Definition at line 574 of file cd.c.

## ◆ cdSetLineWidth()

CDDLLIMPEXP int cdSetLineWidth | ( | cdImagePtr | im,
|  | int | lnwidth
| ) |  |

Definition at line 631 of file cd.c.

## ◆ cdSetMarkerAttrib()

CDDLLIMPEXP int cdSetMarkerAttrib | ( | cdImagePtr | im,
|  | int | mtype,
|  | int | msize,
|  | int | mcolor
| ) |  |

Definition at line 1750 of file cd.c.

## ◆ cdSetMarkerColor()

CDDLLIMPEXP int cdSetMarkerColor | ( | cdImagePtr | im,
|  | int | mcolor
| ) |  |

Definition at line 1594 of file cd.c.

## ◆ cdSetMarkerSize()

CDDLLIMPEXP int cdSetMarkerSize | ( | cdImagePtr | im,
|  | int | msize
| ) |  |

Definition at line 1522 of file cd.c.

## ◆ cdSetMarkerType()

CDDLLIMPEXP int cdSetMarkerType | ( | cdImagePtr | im,
|  | int | mtype
| ) |  |

Definition at line 1465 of file cd.c.

## ◆ cdSetShapeEdgeAttrib()

CDDLLIMPEXP int cdSetShapeEdgeAttrib | ( | cdImagePtr | im,
|  | int | edtype,
|  | int | edwidth,
|  | int | edcolor,
|  | int | edvis
| ) |  |

Definition at line 1693 of file cd.c.

## ◆ cdSetShapeFillAttrib()

CDDLLIMPEXP int cdSetShapeFillAttrib | ( | cdImagePtr | im,
|  | int | instyle,
|  | int | incolor,
|  | int | inhatch
| ) |  |

Definition at line 1668 of file cd.c.

## ◆ cdSetTextAttrib()

CDDLLIMPEXP int cdSetTextAttrib | ( | cdImagePtr | im,
|  | int | font,
|  | int | color,
|  | int | height
| ) |  |

Definition at line 1720 of file cd.c.

## ◆ cdSetTextColor()

CDDLLIMPEXP int cdSetTextColor | ( | cdImagePtr | im,
|  | int | color
| ) |  |

Definition at line 1257 of file cd.c.

## ◆ cdSetTextFont()

CDDLLIMPEXP int cdSetTextFont | ( | cdImagePtr | im,
|  | int | font
| ) |  |

Definition at line 1192 of file cd.c.

## ◆ cdSetTextHeight()

CDDLLIMPEXP int cdSetTextHeight | ( | cdImagePtr | im,
|  | int | height
| ) |  |

Definition at line 1311 of file cd.c.

## ◆ cdSetTextOrient()

CDDLLIMPEXP int cdSetTextOrient | ( | cdImagePtr | im,
|  | int | xup,
|  | int | yup,
|  | int | xbase,
|  | int | ybase
| ) |  |

Definition at line 1409 of file cd.c.

## ◆ cdSetTextPath()

CDDLLIMPEXP int cdSetTextPath | ( | cdImagePtr | im,
|  | int | tpath
| ) |  |

Definition at line 1357 of file cd.c.

## ◆ cdText()

CDDLLIMPEXP int cdText | ( | cdImagePtr | im,
|  | int | x,
|  | int | y,
|  | const char * |
| ) |  |

Definition at line 2945 of file cd.c.